List timesheets for a department
curl --request GET \
--url https://{base_url}/api/v1/departments/{department_id}/timesheets \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url}/api/v1/departments/{department_id}/timesheets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url}/api/v1/departments/{department_id}/timesheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"__type": "SSJSON_API_PaginatedDataArray",
"data": [
{
"__type": "SSJSON_API_Timesheet",
"id": "2240_11417925",
"approvedHours": null,
"approvedPayroll": null,
"casualJob": false,
"clockIn": {
"id": "2762_26262536",
"beacon": false,
"kiosk": false,
"localTime": null,
"overrideEmployee": null,
"overrideOrganisation": null,
"variance": 0
},
"clockOut": {
"id": "2762_26262536",
"beacon": false,
"kiosk": false,
"localTime": null,
"overrideEmployee": null,
"overrideOrganisation": null,
"variance": 0
},
"contractedHoursId": "2924_294328",
"date": "2026-04-21",
"department": {
"id": "2784_119",
"name": "Deli"
},
"details": [
{
"id": "2759_52442232",
"activity": "2760_183",
"alternateDepartment": "",
"alternateOrganisation": "",
"finishTime": "2026-04-21T07:00:00.000Z",
"hours": 6,
"mealBreak": false,
"restBreak": false,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"employeeId": "2095_1144974",
"finishTime": "2026-04-21T07:00:00.000Z",
"hoursToPay": 6,
"includesLeave": false,
"organisationPayRollId": "2089_9531",
"organisationWorkedId": "2089_9531",
"overnight": false,
"processed": null,
"role": {
"id": "2213_6559",
"name": "Retail Assistant"
},
"shift": {
"id": "2786_12120",
"name": "Morning"
},
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"pagination": {
"nextPage": "",
"page": 1,
"pageSize": 200,
"previousPage": "",
"totalPages": 1,
"totalRecords": 1
}
}Timesheets
List timesheets for a department
Returns a paginated list of timesheets for a specific department. Supports the same date and pagination filters as GET /timesheets.
GET
/
departments
/
{department_id}
/
timesheets
List timesheets for a department
Authorizations
Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}
Path Parameters
The unique identifier of the department
Example:
"2784_119"
Query Parameters
Filter timesheets on or after this date (YYYY-MM-DD). Defaults to today if not provided.
Example:
"2026-04-01"
Filter timesheets up to and including this date (YYYY-MM-DD). If not provided, no upper date limit is applied.
Example:
"2026-04-30"
The page number to return. Defaults to 1.
Required range:
x >= 1Example:
1
The number of records per page. Defaults to the system default page size if not provided.
Required range:
x >= 1Example:
200
Was this page helpful?
⌘I

.png?fit=max&auto=format&n=fTXEPIUfjW4rC1Pi&q=85&s=85d7b852879d29ad2bde9b743307ab0e)